Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.crs.configuration.resources
Class XMLFileResource

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.crs.configuration.resources.XMLFileResource

All Implemented Interfaces:
  Serializable, CRSResource<Element>, XMLResource, XLinkResolver<Element>

Direct Known Subclasses:
  CRSParser, GMLFileResource

    public abstract class XMLFileResource

extends XMLFragment
implements XMLResource

The `XMLFileResource` class TODO add class documentation here.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`XMLFileResource(AbstractCRSProvider<Element> provider, Element rootElement)`
`XMLFileResource(AbstractCRSProvider<Element> provider, Properties properties, String requiredRootLocalName, String requiredNamespace)`

Method Summary
`AbstractCRSProvider<Element>` | `getProvider()`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.deegree.crs.configuration.resources.CRSResource
`getTransformation, getWGS84Transformation`

Methods inherited from interface org.deegree.framework.xml.XLinkResolver
`getURIAsType`

Constructor Detail

### XMLFileResource

    public XMLFileResource(AbstractCRSProvider<Element> provider,
                           Properties properties,
                           String requiredRootLocalName,
                           String requiredNamespace)

Parameters:
  `provider` - to use for the reverse lookup of coordinate systems, required
  `properties` - to read the crs configuration file from, required, a property crs.configuration should be present, if not the crs.default.configuration property is checked, if this is missing as well, a `NullPointerException` will be thrown.
  `requiredRootLocalName` - check for the root elements localname, may be `null`
  `requiredNamespace` - check for the root elements namespace, may be `null`

### XMLFileResource

    public XMLFileResource(AbstractCRSProvider<Element> provider,
                           Element rootElement)

Parameters:
  `provider` - to be used for callback.
  `rootElement` -

Method Detail

### getProvider

    public AbstractCRSProvider<Element> getProvider()

  Returns:
    the provider used for reversed look ups, will never be `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org